# Uses of Class
org.apache.avro.Schema.Field

Packages that use Schema.Field
Package
Description
org.apache.avro
Avro kernel classes.
org.apache.avro.data
Interfaces and base classes shared by generic, specific and reflect.
org.apache.avro.generic
A generic representation for Avro data.
org.apache.avro.io
Utilities for Encoding and Decoding Avro data.
org.apache.avro.io.parsing
Implementation of Avro schemas as LL(1) grammars.
org.apache.avro.reflect
Use Java reflection to generate schemas and protocols for existing classes.
org.apache.avro.specific
Generate specific Java classes for schemas and protocols.

## Uses of Schema.Field in org.apache.avro

Fields in org.apache.avro declared as Schema.Field
Modifier and Type
Field
Description
`final Schema.Field[]`
Resolver.RecordAdjust.`readerOrder`
Contains (all of) the reader's fields.
Methods in org.apache.avro that return Schema.Field
Modifier and Type
Method
Description
`Schema.Field`
Schema.`getField(String fieldName)`
If this is a record, returns the Field with the given name `fieldName`.
`static Schema.Field`
SchemaCompatibility.`lookupWriterField(Schema writerSchema, Schema.Field readerField)`
Identifies the writer field that corresponds to the specified reader field.
Methods in org.apache.avro that return types with arguments of type Schema.Field
Modifier and Type
Method
Description
`List<Schema.Field>`
Schema.`getFields()`
If this is a record, returns the fields in it.
Methods in org.apache.avro with parameters of type Schema.Field
Modifier and Type
Method
Description
`void`
AvroMissingFieldException.`addParentField(Schema.Field field)`
`static Schema.Field`
SchemaCompatibility.`lookupWriterField(Schema writerSchema, Schema.Field readerField)`
Identifies the writer field that corresponds to the specified reader field.
Method parameters in org.apache.avro with type arguments of type Schema.Field
Modifier and Type
Method
Description
`static Schema`
Schema.`createRecord(String name, String doc, String namespace, boolean isError, List<Schema.Field> fields)`
Create a named record schema with fields already set.
`static Schema`
Schema.`createRecord(List<Schema.Field> fields)`
Deprecated.
This method allows to create Schema objects that cannot be parsed by `SchemaParser.parse(CharSequence)`.
`void`
Schema.`setFields(List<Schema.Field> fields)`
If this is a record, set its fields.
Constructors in org.apache.avro with parameters of type Schema.Field
Modifier
Constructor
Description
``
`AvroMissingFieldException(String message, Schema.Field field)`
``
`Field(Schema.Field field, Schema schema)`
Constructs a new Field instance with the same `name`, `doc`, `defaultValue`, and `order` as `field` has with changing the schema to the specified one.
``
`UnresolvedUnionException(Schema unionSchema, Schema.Field field, Object unresolvedDatum)`

## Uses of Schema.Field in org.apache.avro.data

Methods in org.apache.avro.data that return Schema.Field
Modifier and Type
Method
Description
`protected final Schema.Field[]`
RecordBuilderBase.`fields()`
Methods in org.apache.avro.data with parameters of type Schema.Field
Modifier and Type
Method
Description
`protected Object`
RecordBuilderBase.`defaultValue(Schema.Field field)`
Gets the default value of the given field, if any.
`protected static boolean`
RecordBuilderBase.`isValidValue(Schema.Field f, Object value)`
Tests whether a value is valid for a specified field.
`protected void`
RecordBuilderBase.`validate(Schema.Field field, Object value)`
Validates that a particular value for a given field is valid according to the following algorithm: 1.

## Uses of Schema.Field in org.apache.avro.generic

Methods in org.apache.avro.generic with parameters of type Schema.Field
Modifier and Type
Method
Description
`GenericRecordBuilder`
GenericRecordBuilder.`clear(Schema.Field field)`
Clears the value of the given field.
`Object`
GenericRecordBuilder.`get(Schema.Field field)`
Gets the value of a field.
`Object`
GenericData.`getDefaultValue(Schema.Field field)`
Gets the default value of the given field, if any.
`boolean`
GenericRecordBuilder.`has(Schema.Field field)`
Checks whether a field has been set.
`protected void`
GenericDatumReader.`readField(Object record, Schema.Field field, Object oldDatum, ResolvingDecoder in, Object state)`
Called to read a single field of a record.
`GenericRecordBuilder`
GenericRecordBuilder.`set(Schema.Field field, Object value)`
Sets the value of a field.
`protected void`
GenericDatumWriter.`writeField(Object datum, Schema.Field f, Encoder out, Object state)`
Called to write a single field of a record.

## Uses of Schema.Field in org.apache.avro.io

Methods in org.apache.avro.io that return Schema.Field
Modifier and Type
Method
Description
`final Schema.Field[]`
ResolvingDecoder.`readFieldOrder()`
Returns the actual order in which the reader's fields will be returned to the reader.
`final Schema.Field[]`
ResolvingDecoder.`readFieldOrderIfDiff()`
Same as `ResolvingDecoder.readFieldOrder()` except that it returns `null` if there was no reordering of fields, i.e., if the correct thing for the reader to do is to read (all) of its fields in the order specified by its own schema (useful for optimizations).

## Uses of Schema.Field in org.apache.avro.io.parsing

Fields in org.apache.avro.io.parsing declared as Schema.Field
Modifier and Type
Field
Description
`final Schema.Field[]`
Symbol.FieldOrderAction.`fields`
Methods in org.apache.avro.io.parsing with parameters of type Schema.Field
Modifier and Type
Method
Description
`static Symbol.FieldOrderAction`
Symbol.`fieldOrderAction(Schema.Field[] fields)`
Constructors in org.apache.avro.io.parsing with parameters of type Schema.Field
Modifier
Constructor
Description
``
`FieldOrderAction(Schema.Field[] fields)`
Deprecated.

## Uses of Schema.Field in org.apache.avro.reflect

Methods in org.apache.avro.reflect with parameters of type Schema.Field
Modifier and Type
Method
Description
`protected void`
ReflectDatumReader.`readField(Object record, Schema.Field field, Object oldDatum, ResolvingDecoder in, Object state)`
`protected void`
ReflectDatumWriter.`writeField(Object record, Schema.Field f, Encoder out, Object state)`

## Uses of Schema.Field in org.apache.avro.specific

Methods in org.apache.avro.specific with parameters of type Schema.Field
Modifier and Type
Method
Description
`protected void`
SpecificDatumReader.`readField(Object record, Schema.Field field, Object oldDatum, ResolvingDecoder in, Object state)`
`protected void`
SpecificDatumWriter.`writeField(Object datum, Schema.Field f, Encoder out, Object state)`